DB_ENV->get_mp_mmapsize()
Prev | Chapter 8. The DB_MPOOLFILE Handle | Next

## DB_ENV->get_mp_mmapsize()

    #include <db.h>

    int
    DB_ENV->get_mp_mmapsize(DB_ENV *dbenv, size_t *mp_mmapsizep);

The `DB_ENV->get_mp_mmapsize()` method returns the the maximum file size, in bytes, for a file to be mapped into the process address space. This value can be managed using the DB_ENV->set_mp_mmapsize() method.

The `DB_ENV->get_mp_mmapsize()` method may be called at any time during the life of the application.

The `DB_ENV->get_mp_mmapsize()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### mp_mmapsizep

The `DB_ENV->get_mp_mmapsize()` method returns the maximum file map size in mp_mmapsizep.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods, DB_ENV->set_mp_mmapsize()

Prev | Up | Next
DB_ENV->get_mp_max_write() | Home | DB_ENV->memp_fcreate()